#### D.15.11.1 likeIdeal

Procedure from library `maxlike.lib` (see maxlike_lib).

Usage:
  likeIdeal(I,u); ideal I, intvec u
  I represents the algebraic statistical model and u is the data vector under considerarion.

Return:
  ideal: the likelihood ideal with respect to I and u

Example:

    LIB "maxlike.lib";
    ring r = 0,(x,y),dp;
    poly pA = -10x+2y+25;
    poly pC = 8x-y+25;
    poly pG = 11x-2y+25;
    poly pT = -9x+y+25;
    intvec u = 10,14,15,10;
    ideal I = pA,pC,pG,pT;
    ideal L = likeIdeal(I,u); L;
    ==> L[1]=2744y2+13003050x-2116125y-6290625
    ==> L[2]=9114xy-98y2+5828550x-891375y-2833125
    ==> L[3]=847602x2-98y2+89716875x-12967425y-43985625

User manual for Singular version 4.4.1, 2025, generated by texi2html.